Subject: Re: [PATCH v10.1 7/7] bisect: allow any terms set by user

From: Junio C Hamano <[email-masked]>
Date: Sat, 27 Jun 2015 11:41:21 -0700

Matthieu Moy <[email-masked]> writes:

> Christian Couder <[email-masked]> writes:
>
>> On Sat, Jun 27, 2015 at 6:25 AM, Junio C Hamano <[email-masked]> wrote:
>>> On Fri, Jun 26, 2015 at 9:10 PM, Christian Couder
>>> <[email-masked]> wrote:
>>>>
>>>> If we don't want to support positional arguments, then I would suggest
>>>> supporting first the following instead:
>>>>
>>>>          git bisect terms --name-good=fast --name-bad=slow
>>>>          git bisect terms --name-bad=slow --name-good=fast
>>>>
>>>> This would make the interface consistent with the code.
>>>
>>> Which somewhat defeats the point of introducing "old" and "new", though.
>>> The "terms" support is for people who feel that good/bad would be too confusing
>>> for the particular bisect session (e.g. because they are hunting for a fix).
>>
>> Well if --name-old and --name-new are also available as synonyms, it
>> would not be too bad I think.
>> People could use the option names that fit their mental model or their
>> use case better.
>
> OK, I'll add both.

I moderately hate to see both from aesthetics point of view, but can
we at least lose "--name-" prefix?  Having to repeat that twice does
not add any value to the subcommand.